package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;

import com.ekexiu.portal.po.AuthApply;

@DAO
public abstract class AuthApplyDao {
	@Insert
	public abstract int insert(Connection con, AuthApply authApply) throws SQLException;
	
	@UpdateWith
	@From(AuthApply.class)
	public abstract int updateSolveStatus(Connection con, @Set Integer solveStatus) throws SQLException;
	
	@Nullable
	@SelectOne
	public abstract AuthApply queryOne(Connection con, String authApplyId) throws SQLException;
	
	@SelectList
	public abstract List<AuthApply> query(Connection con) throws SQLException;
}
