package com.ekexiu.portal.service;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.StringUtil;
import org.jfw.util.io.IoUtil;

import com.ekexiu.portal.dao.AuthApplyDao;
import com.ekexiu.portal.dao.AuthImageDao;
import com.ekexiu.portal.po.AuthApply;
import com.ekexiu.portal.po.AuthImage;

@Path("/authImage")
public class AuthImageService {
	private File authImgPath;
	@Autowrie
	private AuthImageDao authImageDao;
	@Autowrie
	private AuthApplyDao authApplyDao;

	public File getAuthImgPath() {
		return authImgPath;
	}

	public void setAuthImgPath(File authImgPath) {
		this.authImgPath = authImgPath;
	}

	public AuthImageDao getAuthImageDao() {
		return authImageDao;
	}

	public void setAuthImageDao(AuthImageDao authImageDao) {
		this.authImageDao = authImageDao;
	}
	
	public AuthApplyDao getAuthApplyDao() {
		return authApplyDao;
	}

	public void setAuthApplyDao(AuthApplyDao authApplyDao) {
		this.authApplyDao = authApplyDao;
	}

	@Post
	@Path
	public String insert(@JdbcConn(true) Connection con, String authApplyId, String fn) throws SQLException, IOException{
		String authImageId = StringUtil.buildUUID();
		if(!this.authImgPath.exists()){
			this.authImgPath.mkdir();
		}
		InputStream is = new FileInputStream(new File(this.authImgPath, fn));
		try {
			IoUtil.copy(is, new FileOutputStream(new File(this.authImgPath, authImageId + ".jpg")), false, true);
		} finally {
			is.close();
		}
		AuthApply apply = this.authApplyDao.queryOne(con, authApplyId);
		AuthImage authImage = new AuthImage();
		authImage.setAuthImageId(authImageId);
		authImage.setProfessorId(apply.getProfessorId());
		authImage.setCreateTime(apply.getCreateTime());
		this.authImageDao.insert(con, authImage);
		return authImageId;
	}
}
